## ros-indigo-slider-gui 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(slider_gui)
find_package(catkin REQUIRED COMPONENTS actionlib rospy pr2_controllers_msgs trajectory_msgs korg_nanokontrol program_queue face_detector sound_play rviz_backdrop sensor_msgs std_srvs pr2_mechanism_msgs)

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
include_directories(${Boost_INCLUDE_DIRS})

add_service_files(
  FILES
  RunProgram.srv
)

generate_messages(
    DEPENDENCIES std_msgs
)
catkin_package(
    DEPENDS 
    CATKIN_DEPENDS actionlib rospy pr2_controllers_msgs trajectory_msgs korg_nanokontrol program_queue face_detector sound_play rviz_backdrop sensor_msgs std_srvs pr2_mechanism_msgs 
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(DIRECTORY icons/ images/ launch/ nodes/ sounds/ urdf/ worlds/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(PROGRAMS scripts/image_hack.py scripts/setup_env_for_robot.sh scripts/upload-program.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-slider-gui (1.1.0-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 08 Dec 2015 08:00:00 -0000

ros-indigo-slider-gui (1.0.9-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 08:00:00 -0000

ros-indigo-slider-gui (1.0.8-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-slider-gui (1.0.7-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 11 Oct 2014 07:00:00 -0000

ros-indigo-slider-gui (1.0.5-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-slider-gui (1.0.4-0trusty) trusty; urgency=high

  * Added fix on CMake
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-indigo-slider-gui (1.0.2-0trusty) trusty; urgency=high

  * Added slider_gui CMake remak
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-slider-gui
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-face-detector, ros-indigo-korg-nanokontrol, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-mechanism-msgs, ros-indigo-program-queue, ros-indigo-rospy, ros-indigo-rviz-backdrop, ros-indigo-sensor-msgs, ros-indigo-sound-play, ros-indigo-std-srvs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/slider_gui
Standards-Version: 3.9.2

Package: ros-indigo-slider-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-face-detector, ros-indigo-korg-nanokontrol, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-mechanism-msgs, ros-indigo-program-queue, ros-indigo-rospy, ros-indigo-rviz-backdrop, ros-indigo-sensor-msgs, ros-indigo-sound-play, ros-indigo-std-srvs, ros-indigo-trajectory-msgs
Description: slider_gui

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-slider-gui//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
